Alerts - Update
更新警报。
PATCH https://management.azure.com/{scope}/providers/Microsoft.Authorization/roleManagementAlerts/{alertId}?api-version=2022-08-01-preview
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
alert
|
path | True |
string |
要消除的警报的名称。 |
|
scope
|
path | True |
string |
警报的范围。 |
|
api-version
|
query | True |
string minLength: 1 |
用于此作的 API 版本。 |
请求正文
| 名称 | 类型 | 说明 |
|---|---|---|
| properties.isActive |
boolean |
默认情况下为 False;如果警报处于活动状态,则为 true。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 204 No Content |
NoContent - 已成功更新警报。 |
|
| Other Status Codes |
描述作失败的原因的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 流
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
DeactivateAlert
示例请求
PATCH https://management.azure.com/subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f/providers/Microsoft.Authorization/roleManagementAlerts/TooManyPermanentOwnersAssignedToResource?api-version=2022-08-01-preview
{
"properties": {
"isActive": false
}
}
示例响应
定义
| 名称 | 说明 |
|---|---|
| Alert |
警报。 |
|
Alert |
警报配置。 |
|
Alert |
警报定义 |
|
Alert |
警报事件 |
|
Cloud |
服务的错误响应。 |
|
Cloud |
服务的错误响应。 |
|
Severity |
警报的严重性级别。 |
Alert
警报。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
警报 ID。 |
| name |
string |
警报名称。 |
| properties.alertConfiguration |
警报配置。 |
|
| properties.alertDefinition |
警报定义。 |
|
| properties.alertIncidents |
警报事件。 |
|
| properties.incidentCount |
integer (int32) |
警报生成的事件数。 |
| properties.isActive |
boolean |
默认情况下为 False;如果警报处于活动状态,则为 true。 |
| properties.lastModifiedDateTime |
string (date-time) |
更新警报配置或生成新事件的日期时间。 |
| properties.lastScannedDateTime |
string (date-time) |
上次扫描警报的日期时间。 |
| properties.scope |
string |
警报范围。 |
| type |
string |
警报类型。 |
AlertConfiguration
警报配置。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
警报配置 ID。 |
| name |
string |
警报配置名称。 |
| properties.alertConfigurationType |
string |
警报配置类型。 |
| properties.alertDefinition |
警报定义。 |
|
| properties.alertDefinitionId |
string |
警报定义 ID。 |
| properties.isEnabled |
boolean |
如果启用警报,则为 True,false 将禁用对特定警报的扫描。 |
| properties.scope |
string |
警报范围。 |
| type |
string |
警报配置类型。 |
AlertDefinition
警报定义
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
警报定义 ID。 |
| name |
string |
警报定义名称。 |
| properties.description |
string |
警报说明。 |
| properties.displayName |
string |
警报显示名称。 |
| properties.howToPrevent |
string |
防止警报的方法。 |
| properties.isConfigurable |
boolean |
如果可配置警报配置,则为 True;false,否则为 false。 |
| properties.isRemediatable |
boolean |
如果可以修正警报,则为 True;false,否则为 false。 |
| properties.mitigationSteps |
string |
缓解警报的方法。 |
| properties.scope |
string |
警报范围。 |
| properties.securityImpact |
string |
警报的安全影响。 |
| properties.severityLevel |
警报的严重性级别。 |
|
| type |
string |
警报定义类型。 |
AlertIncident
警报事件
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
警报事件 ID。 |
| name |
string |
警报事件名称。 |
| properties.alertIncidentType |
string |
警报事件类型。 |
| type |
string |
警报事件类型。 |
CloudError
服务的错误响应。
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
服务的错误响应。 |
CloudErrorBody
服务的错误响应。
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
错误的标识符。 代码是固定的,旨在以编程方式使用。 |
| message |
string |
描述错误的消息,旨在适合在用户界面中显示。 |
SeverityLevel
警报的严重性级别。
| 值 | 说明 |
|---|---|
| Low | |
| Medium | |
| High |